$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("focus", '.third', autoaddpri);
    $("body").on("focus", '.ninth', autoaddsec);
    $("body").on("focus", '.srno3', autoaddpre);

//    $("body").on("change blur focus", '.subject2', feedval1);
//    $("body").on("change blur focus", '.subject3', feedval2);

//    feedval();
//    feedval1();
//    feedval2();

    function autoaddpri() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }
    
    function autoaddsec() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows2();
        }
    }
    
    function autoaddpre() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows3();
        }
    }

//    $('.third').focus(function () {
//        if ($(this).closest('tr').is(":last-child")) {
//            AddRows();
//        }
//    });


    function remove() {
        $(this).closest("tr").remove();
    }

    var     sub = $('.subject').val(),
            sub2 = $('.subject2').val(),
            sub3 = $('.subject3').val();


    if (sub == '') {
        $('.primary').hide();
    } else {
        $('.primary').show();
    }

    if (sub2 == '') {
        $('.secondary').hide();
    } else {
        $('.secondary').show();
    }

    if (sub3 == '') {
        $('.prelium').hide();
    } else {
        $('.prelium').show();
    }

    $('.prim').click(function () {
        $('.primary').toggle('slow');
    });
    $('.secnd').click(function () {
        $('.secondary').toggle('slow');
    });
    $('.prelm').click(function () {
        $('.prelium').toggle('slow');
    });

//    function feedval() {
//
//        var tr = $(this).closest('tr'),
//                subj = tr.find('.subject').val();
//        $.post('getsubjpr.php', {subj: subj}, function (data) {
//            tr.find('.subname').val(data);
//        });
//    }
//    function feedval1() {
//
//        var tr = $(this).closest('tr'),
//                subj2 = tr.find('.subject2').val();
//        $.post('getsubjsc.php', {subj: subj2}, function (data) {
//            tr.find('.subname2').val(data);
//        });
//    }
//    function feedval2() {
//
//        var tr = $(this).closest('tr'),
//                subj3 = tr.find('.subject3').val();
//        $.post('getsubjprlm.php', {subj: subj3}, function (data) {
//            tr.find('.subname3').val(data);
//        });
//    }


    $('#addnew').click(function () {
        AddRows();
    });


    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('primary_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    $('#addnew2').click(function () {
        AddRows2();
    });
//
//    $('.ninth').focus(function () {
//        if ($(this).closest("tr").is(":last-child")) {
//            AddRows2();
//        }
//    });

    function AddRows2() {
        var ctr = $('#items2').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('secondary_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody2');
            ctr++;
            $('#items2').val(ctr);
            $(detail).select2();
        });
    }

    $('#addnew3').click(function () {
        AddRows3();
    });

//    $('.srno3').focus(function () {
//        if ($(this).closest("tr").is(":last-child")) {
//            AddRows3();
//        }
//    });

    function AddRows3() {
        var ctr = $('#items3').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('prelium_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody3');
            ctr++;
            $('#items3').val(ctr);
            $(detail).select2();
        });
    }

});